# dotfiles

hello, and welcome! this is the place that i store my dotfiles.

i have
* zsh/starship configuration
* hand-picked fontconfig fonts
* neovim!
* different user-dirs and some cool default apps

## zsh plugins

i'm currently not using oh-my-zsh (bloat and bad), i'm using git submodules to keep track of it.

the plugins i'm currently using are:
* zsh-completions and zsh-autosuggestions
* git-aliases
* zsh-bd
* zsh-syntax-highlighting
* zsh-vi-mode

the starship prompt changes accordingly the current mode zsh is in.

## nvim plugins

i'm using lazy.nvim to manage my plugins. here's what i've got
* gruvbox.nvim (ofc)
* nvim-treesitter (eyecandy is everything)
* telescope

i'm planning on adding more (probably this section will be edited today), and i'm having much fun after the last refactor (commit 8abb5dc6df)

## cloning this repo

i manage my dotfiles using a bare git repository. here's a quick rundown on how to get this dotfiles for yourself:

```sh
alias cfg="git --git-dir=$HOME/.local/share/dotfiles-repo/ --work-tree=$HOME"
git clone --bare https://git.vern.cc/vitorg/dots "$HOME/.local/share/dotfiles-repo"
cfg checkout
```

if you find an issue while performing the last command, you'll probably have a list of files you already have in your ~. if that's the case, then move/delete them and try again

and finally:

```sh
cfg config --local status.showUntrackedFiles no
```

_this is mostly for my personal use tho lol_
